// juego.c
// Esqueleto de juegos de Radastan
// version 0.1 beta

#include <config.h>
#include <sprites.h>
#include <motor.h>

#pragma output STACKPTR=65000

void main (void)
{
	unsigned char x,y,z;
	signed char s;
	//disable_int(); // Deshabilitamos las interrupciones
	cls (0); // Borramos la pantalla
	port_out (254,1); // Ponemos el borde de color azul
	for (x=0;x<32;x=x+2)
	{
		put_sprite_x16 (sprite_cubo, x, 0);
		put_sprite_x16 (sprite_cubo, x, 22);
	}
	for (y=2;y<22;y=y+2)
	{
		put_sprite_x16 (sprite_cubo, 0, y);
		put_sprite_x16 (sprite_cubo, 30, y);
	}

	//put_sprite_x16 (sprite_moneda, 2, 2);
	//put_sprite_x16 (sprite_prota1, 4, 4);
	//put_sprite_x16 (sprite_malo1, 6, 6);
	//put_sprite_x24 (sprite_arbol, 8, 8);
	//put_sprite_x32 (sprite_casa, 11, 11);

	y=3;	
	s=1;
	z=1;
	while(1)
	{
		if (z)
		{
			for (x=2;x<30;x=x+4)
			{
				put_sprite_x16 (sprite_prota1, x, y);
				put_sprite_x16 (sprite_malo1, x+2, y);
			}
			z=0;
		}
		else
		{
			for (x=2;x<30;x=x+4)
			{
				put_sprite_x16 (sprite_prota2, x, y);
				put_sprite_x16 (sprite_malo2, x+2, y);
			}
			z=1;
		}
		if (s==-1)
		{
			for (x=2;x<30;x=x+4)
			{
				put_sprite_16x8 (fondoh_x16, x, y+2);
				put_sprite_16x8 (fondoh_x16, x+2, y+2);
			}
		}
		else
		{
			for (x=2;x<30;x=x+4)
			{
				put_sprite_16x8 (fondoh_x16, x, y-1);
				put_sprite_16x8 (fondoh_x16, x+2, y-1);
			}
		}
		y=y+s;
		if (y==20)
		{
			y=19;
			s=-1;
		}
		if (y==2)
		{
			y=3;
			s=1;
		}
		delay (5);
	}
}
