@echo off
REM _________________________________________________________
REM Inicializamos las variables de sistema de Z88DK
REM _________________________________________________________
echo "ESTA ES LA VERSION 1.10"
set Z88DK_PATH=c:\z88dk10
set PATH=%Z88DK_PATH%\bin;%PATH%
set Z80_OZFILES=%Z88DK_PATH%\Lib\
set ZCCCFG=%Z88DK_PATH%\Lib\Config\
REM _________________________________________________________
REM Compilamos el juego
REM _________________________________________________________
echo ## COMPILANDO
zcc +zx -vn juego.c -o juego.bin -lndos -zorg=24200
echo ## CONSTRUYENDO CINTA
rem cambia JUEGO por el nombre que quieres que salga en Program:
rem Si quieres pantalla de carga renombra loader.bas por loader_con_pantalla.bas
utils\bas2tap -a10 -sJUEGO loader.bas loader.tap
rem Si quieres pantalla de carga quita el siguiente "rem"
rem utils\bin2tap -o screen.tap -a 16384 loading.bin
utils\bin2tap -o main.tap -a 24200 juego.bin
copy /b loader.tap + screen.tap + main.tap juego.tap
REM _________________________________________________________
REM Borramos ficheros temporales generados
REM _________________________________________________________
echo ## BORRANDO TEMPORALES
del loader.tap
del main.tap
del juego.bin
del *.def
echo ## FIN
REM _________________________________________________________
REM Esperamos a que el usuario pulse una tecla para cerrar
REM _________________________________________________________
pause
